
/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 13.2.2023
    Author     : jisl
p,body,a    - elements
.ABC        - class="ABC"
#ABC        - ID="ABC"
p.ABC       - pouze <p class="ABC"> / NE: <body class="ABC"> ANI <p class="EFG">
*/

body {
    margin: 0px;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #f7f7f7;
    padding: 0px;
    color: #3c3c3c; 
}

h3 {
    margin: 18px 18px;
}

/******************** Sidebar ********************************/
.sidebar {
  height: 100%;
  width: 50px;
  position: fixed;
  z-index: 2;
  top: 50px;
  left: 0;
  /*background-color: #00417a;*/
  overflow-x: hidden;
  font-family: Arial, Helvetica, sans-serif;
  /*font-family: "Open Sans", sans-serif;*/
  /*font-family: "Lato", sans-serif;*/
  color: #3c3c3c;  
  /*border-radius: 0px 10px 10px 0px;    */
/*  box-shadow: 2px 0px 10px #002648;*/
}

.sidebar .mainnav{
    width: 40px;
    height: 100%;
    background-color: #f7f7f7;
    /*#00417a;*/
    padding: 5px;
    position: fixed;
    top: 50px;
    color: #3c3c3c; 
    font-weight: bold;
    /*border-right: 1px #c0c0c0 solid;*/
    

}
.sidebar .navbar{
    margin: 0px 0px 0px 0px;
    position: fixed;
    top: 55px;
    left: 50px;
    width: 200px;
     /*background-color: #00417a;*/
   background-color: white;
   border-radius: 5px;
   /*border: 1px #c0c0c0 solid;*/
   box-shadow: 0px 0px 10px #c0c0c0;
    
}



.navbar a {
  padding: 5px 15px 5px 20px;
  margin: 5px;
  text-decoration: none;
  background-color: white;
  /*background-color: #f7f7f7;*/
  font-size: 16px;
  display: block;
    color: #3c3c3c; 
  /*color: #f7f7f7;*/ 
  font-weight: 500;
  /*margin-left: 15px;*/
  transition: 0.5s;
  font-style: normal;
}

.navbar a:hover {
  color: #3c3c3c;
  background-color: #e7e7e7;
  /*font-weight: bolder;*/
/*  padding-left: 15px;
  padding-right: 20px;*/
  /*margin-left: 10px;*/
  /*border-radius: 10px 0px 0px 10px;*/
}

.navbar a.active {
     color: #3c3c3c;
    background-color: #e7e7e7;;
    font-weight: bold; 
    /*padding-left: 15px;*/
    /*margin-left: 10px;*/
    /*border-radius: 10px 0px 0px 10px;*/
}
.dropdown-btn {
    
  padding: 10px;
  /*margin-left: 5px;*/
  margin-bottom: 5px;
  border-radius: 0px ;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
    color: #3c3c3c; 
    
  /*color: #f7f7f7;*/
  display: block;
  /*border: 2px   #f7f7f7 solid;*/
  /*border-left: 2px #005aa8 solid;*/
  border-radius: 5px;
  background: none;
  /*width: 40px;*/
  height: 40px;
  width: 40px;
  text-align: left;
  cursor: pointer;
  transition: 0.5s;
  /*transform: rotate(-90deg);*/
  
}

.dropdown-btn:hover {
      color: #3c3c3c;
  background-color: #e0e0e0;;
  font-weight: bold;
}

.dropdown-btn a{
    color: #f7f7f7; 
    text-decoration: none;
    
    
}
.dropdown-container {
/*    position: absolute;*/
  margin-left: 0px;
  display: none;
}

.dropdown-container a{
    padding: 5px 15px 5px 15px;
    margin-left: 5px;
    border-radius: 5px;
    
}
.dropdown-container p{
    padding: 2px 20px 2px 20px;
    margin: 5px 5px;
    font-style: italic;
    font-size: 14px;
    color: #6f6f6f;
    border-bottom: 1px #c0c0c0 solid;
    
}


.prujezd_objekt{
    background-color:#f7f7f7;
    margin: 2px;
    padding: 3px 8px;
    border-radius: 3px;
    text-align: center;
    
}
.prujezd_objekt:hover{
    /*font-weight: bold;*/
    text-decoration: underline;
    cursor: pointer;
    background-color: #eaeaea;
}

/******************** Ikony ********************************/
svg{
    object-position: bottom;
}
.icon{
    margin-right: 10px;
    width: 16px;
    height: 16px;
}
.navbar a path,.navbar a circle,.navbar a rect{
    fill: #f7f7f7;
}
.navbar a:hover path,.navbar a:hover circle,.navbar a:hover rect{
    fill: #3c3c3c;
}
/***********************************************************/
/******************** Header ********************************/
.header {
    height: 50px;
    width: 100%;
    /*border-bottom: 1px solid #00417a;*/
    position: fixed;
    top: 0px;
    left: 0px;
    display: grid;
    column-gap: 20px;
    grid-template-columns: 140px auto 300px;
    background-color: #005aa9;
    color: white;
    z-index: 2;
/*        border-bottom: 1px #c0c0c0 solid;
    box-shadow: 0px 2px 5px #c0c0c0;*/
}

.logo-container{
    width: 100px;
    height: 30px;
    /*background-color: white;*/
    background-color: #005aa9;
    padding:10px 20px;

    /*float: left;*/

}

.logo-container img {
    margin: auto;
}

.header-container{
    height: 20px;  
    padding: 15px 20px;
    /*padding-top: 15px;*/
    /*float: left;*/
    
}
.header-container h1{
    font-weight: 500;
}

.topnav {

    
}
.topnav a {
  float: left;
  color:#3c3c3c;
  background-color: #d3d5d5;
  text-align: center;
  /*padding: 5px 10px 5px 10px;*/
  
  /*border: 1px solid #00417a;*/
  border-radius: 5px;
  text-decoration: none;
  font-size: 16px;
  font-weight: bold;
  margin-right: 10px;
  transition: 0.3s;
    width: auto;
    border: none;
    
    padding: 5px 10px 5px 10px;
}

.topnav a:hover {
  background-color: #b3b5b5;
  color: #3c3c3c;
  /*border-bottom: 1px solid white;*/
}

.topnav a.active {
  background-color: #f7f7f7;
  color: #3c3c3c;
  border-bottom: 1px solid #f7f7f7;;
}
.coop-container{
    height: 30px;
    padding: 10px 20px;
    right: 0px;
    float: right;
    /*width: 200px;*/
}

h1.top {
  margin: auto;
  padding-top: 0px;
  padding-bottom: 0px;
  font-size: 18px;
  text-align: left;

  

  

}

/***********************************************************/
/******************** Buttony ********************************/

.sidebar .button{
    background-color: #f7f7f7;
    display: inline-block;
    border-style: none;
    border-radius: 10px;
    color: #3c3c3c;
    padding: 12px 30px;
    font-size: 16px;
    box-shadow: 0px 0px 20px #002648;
    margin-left: 20px;
    cursor: pointer;
    font-weight: normal;
    
}   
.sidebar .button:hover{
    background-color: #ffffff;
    color: #00417a;
}

.button_souprav{
    background-color: #d3d5d5;
    width: auto;
    /*height: 20px;*/
    color: #3c3c3c;
    border-style: none;
    border-radius: 3px;
    cursor: pointer;
    font-weight: bold;
    font-size: 16px;
    margin: 3px;
    padding: 5px 10px 5px 10px;
}
.button_souprav:hover{
    background-color: #bcbcbc;
}
.button_souprav_sel{
    background-color: #3871dc;
    color: #f7f7f7;
    border-style: none;
    border-radius: 3px;
    cursor: pointer;
    font-weight: bold;
    font-size: 16px;
    width: auto;
    /*height: 20px;*/
    margin: 3px;
    padding: 5px 10px 5px 10px;

}
.button_souprav_sel:hover{
    background-color: #005aa8;
}

/***********************************************************/


/* Clear floats after the columns */
.row{
width: 100%;
}
.row:after {
  content: "";
  display: table;
  clear: both;
  height: 10px;
  background-color: none;

}
.column1{
    display: grid;
    column-gap: 10px;
    row-gap: 10px;
    grid-template-columns: auto;
}

.column2{
    display: grid;
    column-gap: 10px;
    row-gap: 10px;
    grid-template-columns: auto auto;
    
}

.prujezdy {
    grid-template-columns: 320px auto;
}
.flex {
    display: flex;
    flex-wrap: wrap; 
    /*flex-flow: column wrap;*/
}


.column3{
    display: grid;
    column-gap: 10px;
    row-gap: 10px;
    grid-template-columns: auto auto auto;
}
.column4{
    display: grid;
    column-gap: 10px;
    row-gap: 10px;
    grid-template-columns: auto auto auto auto;
}
.column5{
    display: grid;
    column-gap: 10px;
    row-gap: 10px;
    grid-template-columns: 30px auto auto auto auto;
}

.column5_normal{
    display: grid;
    column-gap: 10px;
    row-gap: 10px;
    grid-template-columns: auto auto auto auto auto;
}

.column_gap_0{
    column-gap: 0px;
}

.column_gap_5{
    column-gap: 5px;
}

.column_train{
    display: grid;
    column-gap: 10px;
    row-gap: 10px;
    grid-template-columns: 30px auto auto auto auto auto;
}
.column_train_2{
    display: grid;
    column-gap: 0px;
    row-gap: 10px;
    grid-template-columns: 30px auto;
}

.depo_grid{
    display: flex;
    flex-wrap: wrap;
    column-gap: 10px;
    row-gap: 10px;
    width: 100%;
    /*grid-template-columns: auto auto auto auto auto;*/
    
}
.depo_object{
    /*padding: 10px;*/
    border-radius: 5px;
    background-color: white;
    border: 1px solid rgba(36, 41, 46, 0.12);
    box-shadow: 0px 2px 8px 1px rgba(36, 41, 46, 0.10); 
    max-width: 250px;
    max-height: 160px;

    padding: 8px;
}



.depo_object:hover{
    box-shadow: 0px 0px 8px #919191; 
    cursor: pointer;
}
.depo_souprava{
    display: grid;
     /*display: flex;*/
    /*flex-wrap: wrap;*/
    height: 22px;
   column-gap: 5px;
      grid-template-columns: auto auto 22px;
    
}
.depo_vozy{
    display: grid;
    column-gap: 5px;
    row-gap: 2px;
      grid-template-columns: auto auto auto auto auto;
    
}
.depo_object p{
    margin: 0;
    font-size: 12px;
}
.depo_object h1{
    margin: 0;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    border-radius: 2px;
}

.depo_object h2{
    margin: 0;
    font-size: 10px;
    font-weight: bold;
    text-align: center;
    border-radius: 2px;
}

.soup_object {
    border-radius: 10px;
    background-color: white;
    box-shadow: 0px 0px 5px #c0c0c0; 
    max-width: 250px;
    /*  max-height: 160px;*/
    padding: 8px;
    font-weight: bolder;
}
.soup_object p {
    margin: 0;
    font-size: 12px;
    /*font-style: italic;*/
    /*border-bottom: 1px solid #c0c0c0;*/
    text-align: left; 
    font-weight: normal;
}
    

.soup_info { 
    display: grid;
    column-gap: 5px;
    row-gap: 2px;
    grid-template-columns: auto auto;
    margin-left: 10%;
    font-size: 13px;
    margin-bottom: 5px;
    margin-top: 5px;
    color: black;
    text-align: right;
}

.container_vuz {
    /*border: 1px solid #bdbdbd;*/
    padding: 1px;
    text-align: center;
    /*border-radius: 5px;*/

    background-color: #e6e6e6;
    /*e6e6e6;*/
    background-image: url('obr/8171md.jpg');
    background-repeat: no-repeat;
    background-position: bottom;  
    background-size: 249px 55px;
     /*box-shadow: 0px 0px 10px 10px s#eeeeee;*/
}

.container {
    padding: 5px;
    border-radius: 5px;
    background-color: white;
    border: 1px solid rgba(36, 41, 46, 0.15);
    box-shadow: 0px 2px 8px 1px rgba(36, 41, 46, 0.10); 
    /*#c0c0c0*/
    width: auto;
}
.grafic_off {
    padding: 0px;
    border-radius: 0px;
    background-color: transparent;
    border: 0px;
    box-shadow: none;    
    /*#c0c0c0*/
    width: auto;
}

.container .p5050 { grid-template-columns: 50% 50%;}
.container .p3366 { grid-template-columns: 33% 66%; }
.container .p333333 { grid-template-columns: 33% 33% 33%;}

.con_off{
/*    border: 1px solid rgba(36, 41, 46, 0.15);
    box-shadow: 2px 2px 8px 2px rgba(36, 41, 46, 0.10); */
    border: none;
    box-shadow: none;
    background-color: transparent;  
}
.vertical{
     transform: rotate(180deg);
     width : 30px;
     writing-mode: vertical-lr;
     text-align: center;
     font-size: 30px;
     padding-right: 0px;
/*     background-color: #aaaaaa;
     color: #ffffff;*/
}

.vertical1{
     transform: rotate(180deg);
    /*background-color: #e6e6e6;*/
    
     /*border-radius: 0px 5px 5px 0px;*/
     width : 30px;
     writing-mode: vertical-lr;
     text-align: center;
     font-size: 30px;
     padding-right: 0px;
     /*border-left: 1px solid rgba(36, 41, 46, 0.1);*/
     /*box-shadow: -2px 0px 3px -1px rgba(36, 41, 46, 0.10);*/

/*     background-color: #aaaaaa;
     color: #ffffff;*/

}

.soup_green{
    background-color: #78b86f;
}

.vertical1 p {
    margin: 0px 2px 0px 4px;
    font-size: 20px;
    font-weight: normal;
    color: #3c3c3c;
    letter-spacing: 2px;
    
}


.main {
  margin: 50px 10px 10px 50px;
  padding: 10px; 
  
    /*background-color: white;*/
  border-radius: 20px;
  

}

.main_f {

  margin: 100px 10px 10px 50px;
  padding: 10px; 
  
  /*background-color: white;*/
  border-radius: 20px;
  
}

.filtr_top {
    position: fixed;
    top:50px;
    left:50px;
    margin: 0px;
    height: 40px;
    width: auto;
    z-index: 1;
    padding: 10px 10px;
    
    /*background-color: #f7f7f7;*/
    /*border-bottom: 1px #c0c0c0 solid;*/
    
}

h1 {
    font-size: 2em;
    font-family: Arial, Helvetica, sans-serif;
    /*font-family: Ubuntu, sans-serif;*/
}

th, td {
    padding: 10px;
    
}


/* -------------------------------------------------------------------------*/



#detab {
  /*font-family: Arial, Helvetica, sans-serif;*/
      
  border-collapse: collapse;
  width: 100%;

}

#detab td, #detab th {
  border: 1px solid ddd;
  padding: 5px;
}

#detab tr:nth-child(even){background-color: #f2f2f2;}

#detab tr:hover {
  
    background-color: #edd;
}

#detab th {
  padding-top: 5px;
  padding-bottom: 5px;
  text-align: left;
  background-color: #6D6D6D;
  color: white;
  letter-spacing: 2px;
  
}


select, input[type=date], textarea{
  /*width: 100%;*/
  padding: 10px 15px;
  /*margin: 8px 0;*/
  box-sizing: border-box;
  border: 1px solid #d3d5d5;
  border-radius: 5px;
  outline: none;
  font-family: Arial, Helvetica, sans-serif;
  /*font-family: "Open Sans", sans-serif;*/
}

select:focus, input[type=date]:focus, textarea:focus {
  border: 1px solid #3871dc;
  
}

button {
    font-family: Arial, Helvetica, sans-serif;
    /*font-family: "Open Sans", sans-serif;*/

    color: #f7f7f7;
    border: none;
    border-radius: 5px;
    cursor: pointer;

}

button.large {
    padding: 12px 24px 12px 24px;
    font-size: 16px;
    background-color: #35B52B;
    font-weight: bold;
    letter-spacing: 1px;
}
button.large:hover {
    background-color: #2a9022;
}

button.small { 
    font-size: 16px;
    font-weight: bold;
   background-color: #006dcc; /*  #3871dc;*/
    width: auto;
    border: none;
    /*height: 20px;*/
    margin-right: 5px;  
    padding: 5px 10px 5px 10px;
    
}
button.small:hover {
    background-color: #005aa8;
}

button.blue {
    background-color: #006dcc;
}
button.blue:hover {
    background-color: #005aa8;
}

button.green {
    background-color: #78b86f;
}
button.green:hover {
    background-color: #56a64b;
}

button.grey {
    background-color: #f7f7f7;
    color:#3c3c3c; 
}
button.grey:hover {
    background-color: #eaeaea;
    color:#3c3c3c;   
}

.panel {
    display: none;
    background-color: white;
    padding: 10px;
    border: 1px #d3d5d5 solid;
    border-radius: 0px 0px 5px 5px; 
}
    
button.accordion {
    cursor: pointer;
    width: 100%;
    text-align: left;
    padding: 10px;
    border-radius:  5px 5px 0px 0px; 
    color:#3c3c3c;
    background-color: #d3d5d5;
    
}
button.accordion:hover {
      background-color: #b3b5b5;
        color: #3c3c3c;
}


/*.topnav a.active {
  background-color: #f7f7f7;
  color: #3c3c3c;
  border-bottom: 1px solid #f7f7f7;;
}*/
button.accordion h3{
    margin: 0;
}

input[type=datetime-local] {
  border: none;
  border-radius: 5px;
  background-color: #f2f4f5;
  font-size: 18px;
  font-family: Arial, Helvetica, sans-serif;
  /*font-family: "Open Sans", sans-serif;*/
  /*width: 180px;*/
  padding: 10px;
}

.userinfo{
    margin: 5px 0px 0px 0px;
    /*z-index: 2;*/ 
    position: fixed;
    top: 30px;
    right: 10px;
    width: 200px;
     /*background-color: #00417a;*/
   background-color: white;
   border-radius: 5px;
   /*border: 1px #c0c0c0 solid;*/
   box-shadow: 0px 0px 10px #c0c0c0;
}

.userinfo p{
    border: none;  
    margin: 2px;
    padding: 10px;
    
    text-align: center;
    font-size: 12px;
    font-weight: normal;

}
.userinfo a{
    /*border: none;*/  
    text-align: center;
    font-size: 12px;
    font-weight: bold;
    color: #3c3c3c;
    padding: 5px 15px 5px 15px;
    background-color: #f7f7f7;
    border-radius: 5px;
    margin: 2px 0px;

}
.userinfo a:hover{
    color: #3c3c3c;
    background-color: #eaeaea;

}

.userinfo h4{
    color: black;
    margin: 0px;
    padding: 5px 20px;
    text-align: center; 
    font-weight: bolder;
    font-size: 14px;
    
}

.canvas_button {
    position: absolute;
    left:5px;
    top:5px;
}


/*.main-modal {
    display: none;  Hidden by default 
    position: fixed;  Stay in place 
    z-index: 1;  Sit on top 
    left: 0;
    top: 0;
    width: 100%;  Full width 
    height: 100%;  Full height 
    overflow: auto;  Enable scroll if needed 
    background-color: rgb(0,0,0);  Fallback color 
    background-color: rgba(0,0,0,0.15); 
    padding-top: 50px;
    margin: auto;
    transition: 0.5s;
}*/